std::atomic< long > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< long >.

## Public Types

typedef __atomic_base< long > | __base_type
typedef long | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Static Public Attributes

static constexpr bool | is_always_lock_free

## Detailed Description

Explicit specialization for long.

Definition at line 868 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<long> std::atomic< long >::__base_type

Definition at line 871 of file atomic.

## __integral_type

typedef long std::atomic< long >::__integral_type

Definition at line 870 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< long >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 879 of file atomic.

## Member Data Documentation

## is_always_lock_free

constexpr bool std::atomic< long >::is_always_lock_free

static constexpr

Definition at line 885 of file atomic.

The documentation for this struct was generated from the following file:

- atomic